%define upstream_name Gtk2-GladeXML
%define upstream_version 1.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl module for the glade libraries
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Source0:    https://cpan.metacpan.org/authors/id/T/TS/TSCH/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: perl(Glib) >= 1.20.0
BuildRequires: perl(Gtk2) >= 1.0.0
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: perl-devel
Requires:   perl-Gtk2
%{?perl_default_filter}

%description
This package adds perl support for Glade 2.x to Gtk2-Perl.

libglade allows to load externally stored user interfaces in programs
This allows alteration of GUIes without recompiling of programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog LICENSE META.json META.yml MYMETA.yml NEWS README examples
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*


%changelog
* Fri Aug 23 2024 tv <tv> 1.8.0-6.mga10
+ Revision: 2089322
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 1.8.0-5.mga10
+ Revision: 2012017
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.8.0-4.mga9
+ Revision: 1863256
- Rebuild for Perl 5.36

* Fri Apr 01 2022 umeabot <umeabot> 1.8.0-3.mga9
+ Revision: 1838624
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.8.0-2.mga9
+ Revision: 1727677
- Rebuild for perl 5.34

* Thu Feb 25 2021 tv <tv> 1.8.0-1.mga9
+ Revision: 1691327
- update to 1.008

* Fri Jun 19 2020 tv <tv> 1.7.0-12.mga8
+ Revision: 1596597
- rebuild for perl-5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.7.0-11.mga8
+ Revision: 1529483
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.7.0-10.mga8
+ Revision: 1433649
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.7.0-9.mga7
+ Revision: 1293021
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.7.0-8.mga7
+ Revision: 1249406
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.7.0-7.mga7
+ Revision: 1164598
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.7.0-6.mga7
+ Revision: 1150097
- Rebuild for perl ABI changes
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.7.0-4.mga7
+ Revision: 1127611
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.7.0-3.mga6
+ Revision: 1028039
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.7.0-2.mga6
+ Revision: 957413
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 1.7.0-1.mga6
+ Revision: 854485
- Update spec

* Thu Jun 25 2015 sander85 <sander85> 1.007-15.mga6
+ Revision: 843364
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.007-14.mga5
+ Revision: 742449
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.007-13.mga5
+ Revision: 732231
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.007-12.mga5
+ Revision: 684905
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.007-11.mga5
+ Revision: 632445
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.007-10.mga4
+ Revision: 524812
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.007-9.mga4
+ Revision: 431540
- perl 5.18.0 rebuild

* Fri Jan 18 2013 fwang <fwang> 1.007-8.mga3
+ Revision: 389326
- rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.007-7.mga3
+ Revision: 367876
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.007-6.mga3
+ Revision: 250714
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 1.007-5.mga2
+ Revision: 135820
- rebuild

* Sun Jun 12 2011 ahmad <ahmad> 1.007-4.mga2
+ Revision: 104449
- Rebuild for perl-5.14.0

* Mon Jan 24 2011 jquelin <jquelin> 1.007-3.mga1
+ Revision: 36311
- mageia rebuild
- tighten spec file
- mageia rebuild
- imported package perl-Gtk2-GladeXML

